26 lines
853 B
Diff
26 lines
853 B
Diff
|
From 07cacb245547066c7b6a335509a0ed77ad227372 Mon Sep 17 00:00:00 2001
|
||
|
From: Hannes Reinecke <hare@suse.de>
|
||
|
Date: Fri, 29 Nov 2013 13:13:43 +0100
|
||
|
Subject: [PATCH] 95dasd: Only install module if normalize_dasd_arg is present
|
||
|
|
||
|
normalize_dasd_arg is a RedHat specific script, so no point
|
||
|
installing this module if the script isn't present.
|
||
|
|
||
|
Signed-off-by: Hannes Reinecke <hare@suse.de>
|
||
|
---
|
||
|
modules.d/95dasd/module-setup.sh | 1 +
|
||
|
1 file changed, 1 insertion(+)
|
||
|
|
||
|
diff --git a/modules.d/95dasd/module-setup.sh b/modules.d/95dasd/module-setup.sh
|
||
|
index 16207bc..9c93d40 100755
|
||
|
--- a/modules.d/95dasd/module-setup.sh
|
||
|
+++ b/modules.d/95dasd/module-setup.sh
|
||
|
@@ -5,6 +5,7 @@
|
||
|
# called by dracut
|
||
|
check() {
|
||
|
local _arch=$(uname -m)
|
||
|
+ [ -x /sbin/normalize_dasd_arg ] || return 1
|
||
|
[ "$_arch" = "s390" -o "$_arch" = "s390x" ] || return 1
|
||
|
return 0
|
||
|
}
|